Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.construct
Class Bridge

    java.lang.Object
      org.mule.construct.AbstractFlowConstruct
          org.mule.construct.Bridge

All Implemented Interfaces:
  FlowConstruct, Disposable, Initialisable, Lifecycle, LifecycleStateEnabled, Startable, Stoppable, MessageProcessor

    public class Bridge

extends AbstractFlowConstruct

A simple bridge between a single inbound endpoint and a single outbound endpoint. It enforces a consistent exchange pattern across its endpoints. If declared transactional, it ensures that the correct endpoint configuration is in place.

Field Summary

Fields inherited from class org.mule.construct.AbstractFlowConstruct
`exceptionListener, lifecycleManager, logger, messageInfoMapping, messageProcessorChain, messageSource, muleContext, name, statistics`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`Bridge(String name, MuleContext muleContext, MessageSource messageSource, OutboundEndpoint outboundEndpoint, MessageExchangePattern exchangePattern, boolean transacted)`

Method Summary
`protected void` | `configureMessageProcessors(InterceptingChainMessageProcessorBuilder builder)` Used to configure the processing chain for this `FlowConstuct` `MessageProcessor`s to the chain using the builder provided.
`protected void` | `validateConstruct()` Validates configured flow construct

Methods inherited from class org.mule.construct.AbstractFlowConstruct
`createMessageProcessor, dispose, doDispose, doInitialise, doStart, doStop, getExceptionListener, getLifecycleState, getMessageInfoMapping, getMessageSource, getMuleContext, getName, getStatistics, initialise, isStarted, isStopped, isStopping, process, setExceptionListener, setMessageInfoMapping, setMessageSource, start, stop, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Bridge

    public Bridge(String name,
                  MuleContext muleContext,
                  MessageSource messageSource,
                  OutboundEndpoint outboundEndpoint,
                  MessageExchangePattern exchangePattern,
                  boolean transacted)

Method Detail

### configureMessageProcessors

    protected void configureMessageProcessors(InterceptingChainMessageProcessorBuilder builder)

  Description copied from class: `AbstractFlowConstruct`
  Used to configure the processing chain for this `FlowConstuct` `MessageProcessor`s to the chain using the builder provided.

  To use a different builder of to construct a composite `MessageProcessor` manually override `AbstractFlowConstruct.createMessageProcessor()` instead.

  Specified by:
    `configureMessageProcessors` in class `AbstractFlowConstruct`
  Parameters:
    `builder` - instance of `InterceptingChainMessageProcessorBuilder`

### validateConstruct

    protected void validateConstruct()
                              throws FlowConstructInvalidException

  Description copied from class: `AbstractFlowConstruct`
  Validates configured flow construct

  Overrides:
    `validateConstruct` in class `AbstractFlowConstruct`
  Throws:
    `FlowConstructInvalidException` - if the flow construct does not pass validation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.